ServerEvents.recipes(e=> {
    
    //虚空框架
    e.remove({ output: 'enderio:void_chassis'})
    e.shapeless('enderio:void_chassis', 
    [ 
     '#industrialforegoing:machine_frame/pity',
    ])
    //合金炉
    e.remove({ output: 'enderio:primitive_alloy_smelter' })
    e.remove({ output: 'enderio:alloy_smelter' })
    e.shaped('enderio:primitive_alloy_smelter',[
        'UEU', 
        'ECE', 
        'UEU'
       ], {
         U: '#forge:plates/steel',
         E: 'minecraft:deepslate',
         C: '#industrialforegoing:machine_frame/pity'
       })
    e.shaped('enderio:alloy_smelter',[
        'UEU', 
        'ECE', 
        'UEU'
       ], {
         U: '#forge:plates/steel',
         E: '#forge:gears/iron',
         C: 'enderio:primitive_alloy_smelter'
       })
    //合金炉
    e.remove({ output: 'enderio:basic_capacitor'})
    e.shaped('4x enderio:basic_capacitor',[
        'UEU', 
        'ECE', 
        'UEU'
       ], {
         U: 'create_new_age:overcharged_iron',
         E: '#forge:ingots/energetic_alloy',
         C: 'create:electron_tube'
       })
    //基础电容库
    e.remove({ output: 'enderio:basic_capacitor_bank'})
    e.shaped('enderio:basic_capacitor_bank',[
        'UEU', 
        'ECE', 
        'UEU'
       ], {
         U: 'enderio:basic_capacitor',
         E: '#forge:energy_cell_1',
         C: 'create_new_age:overcharged_diamond'
       })
    //导管粘合剂
    e.remove({ output: 'enderio:conduit_binder_composite'})
    e.shapeless('4x enderio:conduit_binder_composite', 
    [ 
      'nwtc:gelatum',
      'industrialforegoing:plastic',
      '2x enderio:clayed_glowstone',
    ])
    //流体管道
    e.remove({ output: 'enderio:fluid_conduit'})
    e.shapeless('4x enderio:fluid_conduit', 
    [ 
      'enderio:conduit_binder',
      'immersiveengineering:fluid_pipe',
      'create:filter',
      '4x #forge:glass',
    ])
    //加压流体管道
    e.remove({ output: 'enderio:pressurized_fluid_conduit'})
    e.shapeless('enderio:pressurized_fluid_conduit', 
    [ 
      'enderio:fluid_conduit',
      '2x industrialforegoing:pink_slime_ingot',
      '4x #forge:glass',
    ])
    //末影流体管道
    e.remove({ output:'enderio:ender_fluid_conduit'})
    e.shapeless('enderio:ender_fluid_conduit', 
    [ 
      'enderio:pressurized_fluid_conduit',
      '2x enderio:vibrant_alloy_ingot',
      '4x #forge:glass',
    ])
    //导电铁
    e.remove({ output:'#forge:ingots/conductive_alloy',type:'enderio:alloy_smelting'})
    //能量管道1
    e.remove({ output:'enderio:energy_conduit'})
    e.shapeless('12x enderio:energy_conduit', 
    [ 
      'xnet:netcable_blue',
      'create_new_age:overcharged_iron_wire',
      '2x enderio:conductive_alloy_ingot',
      'enderio:basic_capacitor',
    ])
    e.shapeless('enderio:energy_conduit', 
        [ 
         '#forge:energy_conduit_1',
    ])
    //物品管道
    e.remove({ output:'enderio:item_conduit'})
    e.shapeless('8x enderio:item_conduit', 
    [ 
      '2x xnet:netcable_blue',
      '2x enderio:pulsating_alloy_ingot',
      'immersiveengineering:circuit_board',
    ])
    //齿轮
    e.remove({ output:'#forge:gears/wood'})
    e.remove({ output:'#forge:gears/stone'})
    
    //电容库
    e.remove({ output:'enderio:advanced_capacitor_bank' ,input:'enderio:copper_alloy_ingot'})
    e.remove({ output:'enderio:vibrant_capacitor_bank' ,input:'enderio:copper_alloy_ingot'})

    
    
    
})